<div class="flex flex-col flex-auto items-top min-w-0" style="background-color: #f8f8f8">
    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div class="flex items-center cursor-pointer" [routerLink]="['/help_outline']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 text-center font-141461">
            <div>OTP Verification</div>
        </div>
    </div>
    <div class="flex items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 sm:bg-card"
        style="box-shadow: 0px 0px 6px #0000001a">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
            <div class="flex-auto p-6 sm:p-10">
                <div class="flex justify-center font-Regular-16 py-4">
                    Security Check
                </div>
                <div class="flex justify-center font-Regular-16 py-4">
                    To verify your identity, we'll send an One-Time-Password (OTP) to <br><br> {{phoneNumber}}
                </div>
                

                <button class="fuse-mat-button-medium w-full mt-12 button-r5" mat-flat-button 
                    [color]="'primary'" (click)="sendOtp()">
                    Continue
                    <mat-progress-spinner *ngIf="" [diameter]="24" [mode]="'indeterminate'">
                        ></mat-progress-spinner>
                </button>
            </div>
        </div>
    </div>
</div>